# QVM: Quaternions, Vectors, Matrices

### rotx_mat(scalar)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <int Dim,class Angle>
            -unspecified-return-type- rotx_mat( Angle const & angle );
        }
    }

#### Returns:

A view proxy matrix of unspecified type, of Dim rows and Dim columns and scalar type Angle, which performs a rotation around the X axis at angle radians.

See also: boost/qvm/mat_operations.hpp | rotate_x(mat,scalar) | set_rotx(mat,scalar)